Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.defReg
Class EPPDefRegDeleteCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPDeleteCmd
              com.verisign.epp.codec.defReg.EPPDefRegDeleteCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPDefRegDeleteCmd

extends EPPDeleteCmd

Represents an EPP DefReg <delete> command that allows a client to delete a defReg object. The EPP <delete> command provides a transform operation that allows a client to delete a defReg object. In addition to the standard EPP command elements, the <delete> command MUST contain a "defReg:delete" element that identifies the defReg namespace and the location of the defReg schema.

- A <defReg:roid> element that contains the Repository Object IDentifier. Use `getRoid` and `setRoid` to get and set the Roid.

`EPPReponse` is the response associated with `EPPDefRegDeleteCmd`.

See Also:
  `EPPResponse`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPDefRegDeleteCmd()` `EPPDefRegDeleteCmd` default constructor.
`EPPDefRegDeleteCmd(java.lang.String aTransId, java.lang.String aRoid)` `EPPDefRegDeleteCmd` constructor that takes the defReg roid as an argument.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPDefRegDeleteCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDefRegDeleteCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDefRegDeleteCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDefRegDeleteCmd` with this instance.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDefRegDeleteCmd`.
`java.lang.String` | `getRoid()` Gets the defReg roid to delete.
`void` | `setRoID(java.lang.String aRoid)` Sets the defReg roid to delete.

Methods inherited from class com.verisign.epp.codec.gen.EPPDeleteCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDefRegDeleteCmd

    public EPPDefRegDeleteCmd()

  `EPPDefRegDeleteCmd` default constructor. The roidis initialized to `null`. The roid must be set before invoking `encode`.

### EPPDefRegDeleteCmd

    public EPPDefRegDeleteCmd(java.lang.String aTransId,
                              java.lang.String aRoid)

  `EPPDefRegDeleteCmd` constructor that takes the defReg roid as an argument.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aRoid` - DefReg roid to delete.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPDefRegDeleteCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPDefRegMapFactory.NS`

### getRoid

    public java.lang.String getRoid()

  Gets the defReg roid to delete.

  Returns:
    DefReg Roid `String` instance if defined; `null` otherwise.

### setRoID

    public void setRoID(java.lang.String aRoid)

  Sets the defReg roid to delete.

  Parameters:
    `aRoid` - DefReg Roid

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPDefRegDeleteCmd` with this instance.

  Overrides:
    `equals` in class `EPPDeleteCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPDefRegDeleteCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPDefRegDeleteCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPDefRegDeleteCmd` instance.

  Specified by:
    `doEncode` in class `EPPDeleteCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPDefRegDeleteCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPDefRegDeleteCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPDefRegDeleteCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPDeleteCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPDefRegDeleteCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.